Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class CmapTable

    java.lang.Object
      com.sun.pdfview.font.ttf.TrueTypeTable
          com.sun.pdfview.font.ttf.CmapTable

    public class CmapTable

extends TrueTypeTable

Represents the TTF "cmap" table

Field Summary

Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

Constructor Summary
`protected` | `CmapTable()` Creates a new instance of CmapTable

Method Summary
`void` | `addCMap(short platformID, short platformSpecificID, CMap cMap)` Add a CMap
`CMap` | `getCMap(short platformID, short platformSpecificID)` Get a CMap by platform and specific ID
`CMap[]` | `getCMaps()` Get all CMaps
`java.nio.ByteBuffer` | `getData()` Get the data in the table
`int` | `getLength()` Get the size of the table, in bytes
`short` | `getNumberSubtables()` Get the number of tables
`short` | `getVersion()` Getter for property version.
`void` | `removeCMap(short platformID, short platformSpecificID)` Remove a CMap
`void` | `setData(java.nio.ByteBuffer data)` Set the data in the table
`void` | `setVersion(short version)` Setter for property version.
`java.lang.String` | `toString()` Print a pretty string

Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`createTable, createTable, getTag, stringToTag, tagToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmapTable

    protected CmapTable()

  Creates a new instance of CmapTable

Method Detail

### addCMap

    public void addCMap(short platformID,
                        short platformSpecificID,
                        CMap cMap)

  Add a CMap

### getCMap

    public CMap getCMap(short platformID,
                        short platformSpecificID)

  Get a CMap by platform and specific ID

### getCMaps

    public CMap[] getCMaps()

  Get all CMaps

### removeCMap

    public void removeCMap(short platformID,
                           short platformSpecificID)

  Remove a CMap

### setData

    public void setData(java.nio.ByteBuffer data)

  Description copied from class: `TrueTypeTable`
  Set the data in the table

  Overrides:
    `setData` in class `TrueTypeTable`

### getData

    public java.nio.ByteBuffer getData()

  Description copied from class: `TrueTypeTable`
  Get the data in the table

  Overrides:
    `getData` in class `TrueTypeTable`

### getLength

    public int getLength()

  Get the size of the table, in bytes

  Overrides:
    `getLength` in class `TrueTypeTable`

### getVersion

    public short getVersion()

  Getter for property version.

  Returns:
    Value of property version.

### setVersion

    public void setVersion(short version)

  Setter for property version.

  Parameters:
    `version` - New value of property version.

### getNumberSubtables

    public short getNumberSubtables()

  Get the number of tables

### toString

    public java.lang.String toString()

  Print a pretty string

  Overrides:
    `toString` in class `TrueTypeTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD